--- old/usr/src/cmd/oamuser/user/useradd.c	Mon Mar 25 12:53:26 2013
+++ new/usr/src/cmd/oamuser/user/useradd.c	Mon Mar 25 12:53:26 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -393,6 +395,11 @@
 		errmsg(M_USED, logname);
 		exit(EX_NAME_EXISTS);
 		/*NOTREACHED*/
+
+	case LONGNAME:
+		errmsg(M_TOO_LONG, logname);
+		exit(EX_BADARG);
+		/*NOTREACHED*/
 	}
 
 	if (warning)
